org.apache.catalina.tribes.util

## Class UUIDGenerator

- java.lang.Object
- - org.apache.catalina.tribes.util.UUIDGenerator

    public class UUIDGenerator
    extends Object

simple generation of a UUID

Version:
  1.0
Author:
  Filip Hanik

### Field Summary

Fields
`static int` `BITS_PER_BYTE`
`static int` `BYTES_PER_INT`
`protected static Random` `rand`
`protected static SecureRandom` `secrand`
`protected static StringManager` `sm`
`static int` `UUID_LENGTH`
`static int` `UUID_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`UUIDGenerator()`

### Method Summary

Methods
`static void` `nextBytes(byte[] into, int offset, int length, Random r)` Same as java.util.Random.nextBytes except this one we dont have to allocate a new byte array
`static byte[]` `randomUUID(boolean secure)`
`static byte[]` `randomUUID(boolean secure, byte[] into, int offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

#### UUID_LENGTH

    public static final int UUID_LENGTH

See Also:
  Constant Field Values

#### UUID_VERSION

    public static final int UUID_VERSION

See Also:
  Constant Field Values

#### BYTES_PER_INT

    public static final int BYTES_PER_INT

See Also:
  Constant Field Values

#### BITS_PER_BYTE

    public static final int BITS_PER_BYTE

See Also:
  Constant Field Values

#### secrand

    protected static SecureRandom secrand

#### rand

    protected static Random rand

### Constructor Detail

#### UUIDGenerator

    public UUIDGenerator()

### Method Detail

#### randomUUID

    public static byte[] randomUUID(boolean secure)

#### randomUUID

    public static byte[] randomUUID(boolean secure,
                    byte[] into,
                    int offset)

#### nextBytes

    public static void nextBytes(byte[] into,
                 int offset,
                 int length,
                 Random r)

Same as java.util.Random.nextBytes except this one we dont have to allocate a new byte array

Parameters:
  `into` - byte[]
  `offset` - int
  `length` - int
  `r` - Random